#
# spec file for package rubygems (Version 1.3.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygems
Version:        1.3.7
Release:        2.18
#
License:        Other uncritical OpenSource License
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-devel ruby
Requires:       ruby-devel ruby
Provides:       rubygems_with_buildroot_patch
#
Url:            http://rubyforge.org/projects/rubygems/
# from          http://rubyforge.org/frs/download.php/70696/rubygems-1.3.7.tgz
Source:         rubygems-%{version}.tar.bz2
Source1:        gem_build_cleanup
Source2:        rubygems-rpmlintrc
Source3:        rubygems.macros
Patch:          rubygems-1.3.7_buildroot.patch
Summary:        The Ruby standard for publishing and managing third party libraries

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.



Authors:
--------
    Rich Kilmer <rich@infoether.com>
    Chad Fowler <chad@chadfowler.com>
    David Black <dblack@wobblini.net>
    Paul Brannan <paul@atdesk.com>
    Jim Weirich <jim@weirichhouse.org>
    Gavin Sinclair <gsinclair@soyabean.com.au>
    George Marrows <george.marrows@ntlworld.com>
    Dick Davies <rasputnik@hellooperator.net>
    Mauricio Fernandez <batsman.geo@yahoo.com>
    Simon Strandgaard <neoneye@adslhome.dk>
    Dave Glasser <glasser@mit.edu>
    Paul Duncan <pabs@pablotron.org>
    Ville Aine <vaine@cs.helsinki.fi>
    Ryan Davis
    Eric Hodel <drbrain@segment7.net>

%prep
%setup -n %{name}-%{version}
%patch

%build

%install
GEM_HOME=%{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/ \
    ruby -rvendor-specific setup.rb --destdir=%{buildroot}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_bindir}/gem_build_cleanup
%{__install} -D -m 0644 %{S:3} %{buildroot}/etc/rpm/macros.rubygems
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/cache/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/doc/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/specifications/

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-,root,root)
%config(noreplace) /etc/rpm/macros.rubygems
%doc ChangeLog GPL.txt LICENSE.txt README History.txt
%doc test/ pkgs/
%{_bindir}/gem_build_cleanup
%{_bindir}/gem
%dir %{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/datadir.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/*ubygems.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/
%dir %{_libdir}/ruby/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}
%dir %{_libdir}/ruby/gems/%{rb_ver}/cache/
%dir %{_libdir}/ruby/gems/%{rb_ver}/doc/
%dir %{_libdir}/ruby/gems/%{rb_ver}/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}/specifications/
#%{_libdir}/ruby/gems/%{rb_ver}/doc/rubygems-%{version}

%changelog
* Fri Jun 18 2010 mrueckert@suse.de
- fix buildroot patch for factory
* Tue May 25 2010 mrueckert@suse.de
- added a new macro rubygems_requires
  it will replace the hardcoded requires on rubygems in the
  rubygem-* packages with a requires_eq/requires_ge depending on
  the suse version
* Mon May 17 2010 dmacvicar@novell.com
- update to 1.3.7
  * Dropped rubygems-1.3.6_unpack.patch (now upstream)
  * Dropped rubygems-1.3.6_version_requirements.patch (now upstream)
- New features:
  * `gem` commands
  * `gem install` and `gem fetch` now report alternate platforms
    when a matching one couldn't be found.
  * `gem contents` --prefix is now the default as specified in
  - -help.  Bug #27211 by Mamoru Tasaka.
  * `gem fetch` can fetch of old versions again.  Bug #27960 by
    Eric Hankins.
  * `gem query` and friends output now lists platforms.  Bug #27856
    by Greg Hazel.
  * `gem server` now allows specification of multiple gem dirs for
    documentation.  Bug #27573 by Yuki Sonoda.
  * `gem unpack` can unpack gems again.  Bug #27872 by Timothy
    Jones.
  * `gem unpack` now unpacks remote gems.
  * --user-install is no longer the default.  If you really liked it,
    see Gem::ConfigFile to learn how to set it by default.  (This
    change was made in 1.3.6)
  * RubyGems now has platform support for IronRuby.  Patch #27951 by
    Will Green.
- Bug fixes:
  * Require rubygems/custom_require if --disable-gem was set.
    Bug #27700 by Roger Pack.
  * RubyGems now protects against exceptions being raised by plugins.
  * rubygems/builder now requires user_interaction.  Ruby Bug #1040
    by Phillip Toland.
  * Gem::Dependency support #version_requirements= with a warning.
    Fix for old Rails versions.  Bug #27868 by Wei Jen Lu.
  * Gem::PackageTask depends on the package dir like the other
    rake package
    tasks so dependencies can be hooked up correctly.
* Thu Apr 15 2010 mrueckert@suse.de
- added rubygems-1.3.6_unpack.patch:
  dont check for the permissions of the installation directory
  when unpacking a gem. Backport from trunk.
- remove find lines in %%prep. They are not needed anymore.
* Wed Apr 14 2010 mrueckert@suse.de
- update rubygems-1.3.6_buildroot.patch:
  missing requires for pathname
* Mon Apr 12 2010 mrueckert@suse.de
- added rubygems-1.3.6_version_requirements.patch:
  add back Gem::Dependency#version_requirements to fix older rails
  versions. Backport from trunk.
* Sat Mar  6 2010 dmacvicar@novell.com
- update to rubygems 1.3.6
  Notes:
  - http://rubygems.org is now the default source for downloading
    gems.
  - You may have sources set via ~/.gemrc, so you should replace
  - http://gems.rubyforge.org with http://rubygems.org
  - http://gems.rubyforge.org will continue to work for the
    forseeable future.
  New features:
  - `gem` commands
  - Added `gem push` and `gem owner` for interacting with
    modern/Gemcutter
    sources
  - `gem dep` now supports --prerelease.
  - `gem fetch` now supports --prerelease.
  - `gem server` now supports --bind.  Patch #27357 by Bruno
    Michel.
  - `gem rdoc` no longer overwrites built documentation.
    Use --overwrite force rebuilding.  Patch #25982 by Akinori
    MUSHA.
  - Captial letters are now allowed in prerelease versions.
  Bug fixes:
  - Development deps are no longer added to rubygems-update gem so
    older versions can update sucessfully.
    Installer bugs:
  - Prerelease gems can now depend on non-prerelease gems.
  - Development dependencies are ignored unless explicitly needed.
    Bug #27608
    by Roger Pack.
  - `gem` commands
  - `gem which` now fails if no paths were found. Adapted patch
    [#27681] by Caio Chassot.
  - `gem server` no longer has invalid markup. Bug #27045 by
    Eric Young.
  - `gem list` and friends show both prerelease and regular gems
    when --prerelease --all is given
  - Gem::Format no longer crashes on empty files.  Bug #27292
    by Ian Ragsdale.
  - Gem::GemPathSearcher handles nil require_paths.
    Patch #27334 by Roger Pack.
  - Gem::RemoteFetcher no longer copies the file if it is where we
    want it. Patch #27409 by Jakub Šťastný.
  Deprecation Notices:
  - lib/rubygems/timer.rb has been removed.
  - Gem::Dependency#version_requirements is deprecated and will be
    removed on or after August 2010.
  - Bulk index update is no longer supported.
  - Gem::manage_gems was removed in 1.3.3.
  - Time::today was removed in 1.3.3.
- updated buildroot patch for 1.3.6:
  old name rubygems-1.3.5_buildroot.patch
  new name rubygems-1.3.6_buildroot.patch
* Tue Sep 29 2009 mrueckert@suse.de
- update to rubygems 1.3.5
  Bug fixes:
  - Fix use of prerelease gems.
  - Gem.bin_path no longer escapes path with spaces. Bug #25935 and
    [#26458].
  Deprecation Notices:
  - Bulk index update is no longer supported (the code currently
    remains, but not the tests)
  - Gem::manage_gems was removed in 1.3.3.
  - Time::today was removed in 1.3.3.
- additional changes from 1.3.4
  Bug Fixes:
  - Fixed various warnings
  - Gem::ruby_version works correctly for 1.8 branch and trunk
  - Prerelease gems now show up in `gem list` and can be used
  - Fixed option name for `gem setup --format-executable`
  - RubyGems now matches Ruby > 1.9.1 gem paths
  - Gem::RemoteFetcher#download now works for explicit Windows
    paths across drives.  Bug #25882 by Lars Christensen
  - Fix typo in Gem::Requirement#parse.  Bug #26000 by Mike
    Gunderloy.
- additional changes from 1.3.3
  New Features:
  - `gem server` allows port names (from /etc/services) with
  - -port.
  - `gem server` now has search that jumps to RDoc.  Patch #22959
    by Vladimir Dobriakov.
  - `gem spec` can retrieve single fields from a spec (like `gem
    spec rake authors`).
  - Gem::Specification#has_rdoc= is deprecated and ignored
    (defaults to true)
  - RDoc is now generated regardless of
    Gem::Specification#has_rdoc?
  Bug Fixes:
  - `gem clean` now cleans up --user-install gems.  Bug #25516 by
    Brett Eisenberg.
  - Gem.bin_path now escapes paths with spaces.
  - Rake extension builder uses explicit correctly loads rubygems
    when invoking rake.
  - Prerelease versions now match "~>" correctly.  Patch #25759 by
    Yossef Mendelssohn.
  - Check bindir for executables, not root when validating.  Bug
    reported by David Chelimsky.
  - Remove Time.today, no way to override it before RubyGems loads.
    Bug #25564 by Emanuele Vicentini
  - Raise Gem::Exception for #installation_path when not installed.
    Bug #25741 by Daniel Berger.
  - Don't raise in Gem::Specification#validate when homepage is
    nil.  Bug #25677 by Mike Burrows.
  - Uninstall executables from the correct directory.  Bug #25555
    by Brett Eisenberg.
  - Raise Gem::LoadError if Kernel#gem fails due to
    previously-loaded gem.  Bug reported by Alf Mikula.
- drop rubygems-1.3.1_install_into_buildroot.patch: obsoleted by
  upstreams --destdir
- updated buildroot patch for 1.3.5:
  old name rubygems-1.3.1_buildroot.patch
  new name rubygems-1.3.5_buildroot.patch
* Tue Mar 24 2009 mrueckert@suse.de
- fix gem_install macro
* Fri Mar  6 2009 mrueckert@suse.de
- update rubygems-1.3.1_buildroot.patch:
  fix user install. (~/.gem)
* Wed Nov 26 2008 mrueckert@suse.de
- added rubygems macros file for rpm with 2 macros for easier gem
  packaging %%gem_install and %%gem_cleanup.
  %%gem_install calls gem install with the correct parameters.
  %%gem_cleanup will delete makefiles and intermediate build files
  like object files.
* Fri Nov 21 2008 mrueckert@suse.de
- update to rubyems 1.3.1
  * Disregard ownership of ~ under Windows while creating ~/.gem.
    Fixes issues related to no uid support under Windows.
  * Fix requires for Gem::inflate, Gem::deflate, etc.
  * Make Gem.dir respect :gemhome value from config.  (Note: this
    feature may be removed since it is hard to implement on 1.9.)
  * Silence PATH warning.
  Deprecation Notices:
  * Gem::manage_gems will be removed on or after March 2009.
- additional changes from rubyems 1.3.0
  * RubyGems doesn't print LOCAL/REMOTE titles for `gem query` and
    friends if stdout is not a TTY, except with --both.
  * Added Gem.find_files, allows a gem to discover features
    provided by other gems.
  * RubyGems now installs gems into ~/.gem if GEM_HOME is not
    writable.  Use --no-user-install command-line switch to disable
    this behavior.
  * Fetching specs for update now uses If-Modified-Since requests.
  * RubyGems now updates the ri cache when the rdoc gem is
    installed and documentation is generated.
  * RubyGems now uses the regexp we already have for `gem list
  - -installed`.  Bug #20876 by Nick Hoffman.
  * Platform is now forced to Gem::Platform::RUBY when nil or blank
    in the indexer.  Fixes various uninstallable gems.
  * Fix HTTPS support.  Patch #21072 by Alex Arnell.
  * RubyGems checks for support of development dependencies for
    [#]to_ruby.  Bug #20778 by Evan Weaver.
  * Now specifications from the future can be loaded.
  * `gem lock --strict` works again.  Patch #21814 by Sven
    Engelhardt.
  * `gem help install` now describes _version_ argument to
    executable stubs
  * `gem help environment` describes environment variables and
    ~/.gemrc and /etc/gemrc
  * On-disk gemspecs are now read in UTF-8 and written with a UTF-8
    magic comment
  * lib/rubygems/remote_fetcher.rb
  - Now uses ~/.gem/cache if the cache dir in GEM_HOME is not
    writable.
- additional changes from 1.2.0
  * RubyGems no longer performs bulk updates and instead only
    fetches the gemspec files it needs.  Alternate sources will
    need to upgrade to RubyGems 1.2 to allow RubyGems to take
    advantage of the new metadata updater.  If a pre 1.2 remote
    source is in the sources list, RubyGems will revert to the bulk
    update code for compatibility.
  * RubyGems now has runtime and development dependency types.  Use
    [#]add_development_dependency and #add_runtime_dependency.  All
    typeless dependencies are considered to be runtime
    dependencies.
  * RubyGems will now require rubygems/defaults/operating_system.rb
    and rubygems/defaults/#{RBX_ENGINE}.rb if they exist.  This
    allows packagers and ruby implementers to add custom behavior
    to RubyGems via these files.  (If the RubyGems API is
    insufficient, please suggest improvements via the RubyGems
    list.)
  * /etc/gemrc (and windows equivalent) for global settings
  * `gem stale` command that lists gems by last access time
  * File modes from gems are now honored, patch #19737
  * `gem install --no-wrappers` followed by `gem install
  - -wrappers` no longer overwrites executables
* Tue Jun  3 2008 mrueckert@suse.de
- update to rubygems 1.1.1
  * Gem.prefix now returns non-nil only when RubyGems was installed
    outside sitelibdir or libdir.
  * The `gem server` gem list now correctly links to gem details.
  * `gem update --system` now passes --no-format-executable to
    setup.rb.
  * Gem::SourceIndex#refresh! now works with multiple gem
    repositories.
  * Downloaded gems now go into --install-dir's cache directory.
  * Various fixes to downloading gem metadata.
  * `gem install --force` now ignores network errors too.
  * `gem pristine` now rebuilds extensions.
  * `gem update --system` now works on virgin Apple ruby.
  * Gem::RemoteFetcher handles Errno::ECONNABORTED.
  * Printing of release notes fixed.
- additional changes from rubygems 1.1.0
  * RubyGems works with both Config and RbConfig now.
  * Executables are now cleaned upon uninstall.
  * You can now uninstall from a particular directory.
  * Updating from non-default sources fixed.
  * Executable stubs now use ruby install name in shebang.
  * `gem unpack` checks every directory in Gem.path now.
  * `gem install` now exits with non-zero exit code when
    appropriate.
  * `gem update` only updates gems that need updates.
  * `gem update` doesn't force remote-only updates.
  * `gem update` handles dependencies properly when updating.
  * Gems are now loaded in Gem.path order.
  * Gem stub scripts on windows now work outside Gem.bindir.
  * `gem sources -r` now works without network access.
- refreshed patches. new names:
  rubygems-1.1.1_buildroot.patch
  rubygems-1.1.1_install_into_buildroot.patch
* Thu Jan 24 2008 mrueckert@suse.de
- dont restrict the ruby version
* Wed Jan 16 2008 mrueckert@suse.de
- update to rubygems 1.0.1
  * Installation on Ruby 1.8.3 through 1.8.5 fixed
  * `gem build` on 1.8.3 fixed
- additional changes from 1.0.0
  - RubyGems warns about various problems with gemspecs during gem
    building
  - More-consistent versioning for the RubyGems software
  - Fixed various bugs and problems with installing gems on Windows
  - Fixed using `gem server` for installing gems
  - Various operations are even more verbose with --verbose
  - Built gems are now backwards compatible with 0.9.4
  - Improved detection of RUBYOPT loading rubygems
  - `ruby setup.rb` now has a --help option
  - Gem::Specification#bindir is now respected on installation
  - Executable stubs can now be installed to match ruby's name, so
    if ruby is installed as 'ruby18', foo_exec will be installed as
    'foo_exec18'
  - `gem unpack` can now unpack into a specific directory with
  - -target
  - OpenSSL is no longer required by default
  Deprecations and Deletions:
  - Kernel#require_gem has been removed
  - Executables without a shebang will not be wrapped in a future
    version, this may cause such executables to fail to operate on
    installation
  - Gem::Platform constants other than RUBY and CURRENT have been
    removed
  - Gem::RemoteInstaller was removed
  - Gem::Specification#test_suite_file and #test_suite_file= are
    deprecated in favor of #test_file and #test_file=
  - Gem::Specification#autorequire= has been deprecated
  - Time::today will be removed in a future version
- replaced rubygems-0.9.4_buildroot.patch with
  rubygems-1.0.1_buildroot.patch: rewritten for new version
- added rubygems-1.0.1_install_into_buildroot.patch:
  new setup.rb had no option to install into a temporary root dir.
* Thu May 24 2007 mrueckert@suse.de
- update to 0.9.4
  * Several people have been experiencing problems with no method
    errors on the source index cache. The source index cache is now
    a bit more self healing. Furthermore, if the source index cache
    is irreparable, then it is automatically dropped and reloaded.
  * The source cache files may now be dropped with the "gem sources
  - -clear-all" command. (This command may require root is the
    system source cache is in a root protected area).
  * Several sub-commands were accidently dropped from the "gem"
    command.  These commands have been restored.
- updated rubygems-0.9.2_buildroot.patch:
  new name rubygems-0.9.4_buildroot.patch
* Mon Feb 12 2007 mrueckert@suse.de
- fixed rubygems-0.9.2_buildroot.patch:
  do not break gems with scripts in bindir
* Thu Feb  8 2007 mrueckert@suse.de
- update to rubygems 0.9.2:
  * The "unpack" command now works properly.
  * User name and password are now passed properly to the
    authenticating proxy when downloading gems.
  * check installation paths for gems before writing files to avoid
    various kinds of exploits. (#235110)
- remove the provides on rake
- rediffed rubygems-0.9.0_buildroot.patch
  new name rubygems-0.9.2_buildroot.patch
- removed rubygems-ext.diff (was a backport)
* Mon Oct 30 2006 mrueckert@suse.de
- added Provides: rake = %%{version}-%%{release} for easier compat
  with older packages
* Sun Oct 15 2006 mrueckert@suse.de
- added gem_build_cleanup to delete temporary files from native
  extensions.
* Sun Oct  1 2006 mrueckert@suse.de
- added rubygems-ext.diff: dont run make clean
  patch from the mailinglist
* Sat Sep 30 2006 mrueckert@suse.de
- install into vendor_ruby
* Thu Jun 29 2006 mrueckert@suse.de
- package %%{_libdir}/ruby/%%{rb_ver}/rbconfig
* Thu Jun 29 2006 mrueckert@suse.de
- update to version 0.9.0:
  Major Enhancments include:
  * The gem index is now downloaded incrementally, only updating
    entries that are out of date. If more than 50 entries are out
    of date, we revert back to a bulk download.
  * Several patches related to allowing RubyGems to work with
    authenticating proxies (from Danie Roux and Anatol Pomozov).
    Just put the user and password in the proxy URL (e.g. -p
    http://user:password@proxy.address.com:8080) or use
    the HTTP_PROXY_USER and HTTP_PROXY_PASS environment variables.
  * The gem unpack command can now accept a file path rather than
    just a install gem name.
  * Both RI and RDOC documents are now generated by default.
  * A gemri command is included to read gem RI docs (only needed
    for Ruby 1.8.4 or earlier).
  Minor enhancements include:
  * Verison 0.0.0 is now a valid gem version.
  * Better detection of missing SSL functionality.
  * SSL is not required if the security policy does not require
    signature checking.
  * Rake built extensions are now supported (Tilman Sauerbeck).
  * Several autorequire bug fixes.
  * --traceback is now an alias for --backtrace (I can never
    remember which one it is).
  * SAFE=1 compatibility fixes.
  * .rbw is now a supported suffix for RubyGem's custom require.
  * Several Ruby 1.9 compatibility fixes (Eric Hodel).
  Bug Fixes:
  * Added dashes to gemspecs generated in Ruby 1.8.3. This solves
    some cross-Ruby version compatibility issues.
  * Fixed bug where the wrong executables could be uninstalled
    (Eric Hodel).
  * Fixed bug where gem unpack occasionally unpacked the wrong gem.
  * Fixed bug where a fatal error occured when permissions on
    .gemrc were too restrictive (reported by Luca Pireddu).
  * Fixed prefix handling for native expressions
    (patch by Aaron Patterson).
  * Fixed several Upgrade => Update typos.
* Tue Jun 20 2006 mrueckert@suse.de
- no longer bump the version. we use a virtual provide now to make
  sure the --build-root patch is applied
* Mon Jun 19 2006 ro@suse.de
- fix filelist for last change
* Mon Jun 19 2006 mrueckert@suse.de
- added %%{_libdir}/ruby/gems/%%{rb_ver}/doc/
* Tue Jun  6 2006 mrueckert@suse.de
- added rubygems-0.8.11_buildroot.patch:
  add "--build-root" to the "gem install" command.
  Backport of my patch against CVS HEAD
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  1 2005 mrueckert@suse.de
- dont install into site_ruby
- remove the site_ruby entries
* Mon Aug 22 2005 mrueckert@suse.de
- added missing %%dir entry in the file list
* Sun Aug 21 2005 ro@suse.de
- added ruby-devel to nfb
* Tue Aug 16 2005 mrueckert@suse.de
- Update to version 0.8.11
* Sun Jul 10 2005 mrueckert@suse.de
- Started package with version 0.8.10
